## haskell-ghc-typelits-knownnat 0.7.4

=== debian/changelog ===
haskell-ghc-typelits-knownnat (0.7.4-2) unstable; urgency=medium

  * Gratuitous post-NEW source-only upload

 -- Scott Talbert <swt@techie.net>  Mon, 16 May 2022 14:37:41 -0400

haskell-ghc-typelits-knownnat (0.7.4-1) unstable; urgency=low

  * Initial release

 -- Scott Talbert <swt@techie.net>  Wed, 04 May 2022 15:30:53 -0400
