## haskell-ghc-typelits-knownnat 0.7.6

=== debian/changelog ===
haskell-ghc-typelits-knownnat (0.7.6-1) unstable; urgency=medium

  * New upstream release

 -- Scott Talbert <swt@techie.net>  Mon, 20 Jun 2022 11:45:31 -0400
