## haskell-ghc-typelits-knownnat 0.7.7

=== debian/changelog ===
haskell-ghc-typelits-knownnat (0.7.7-1) unstable; urgency=medium

  * Declare compliance with Debian policy 4.6.1
  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 23 Oct 2022 19:11:26 +0300
