=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
 Build-Depends-Indep: ghc-doc,
  libghc-ghc-tcplugins-extra-doc,
  libghc-ghc-typelits-natnormalise-doc,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://clash-lang.org/
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-ghc-typelits-knownnat
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git
