## haskell-ghc-typelits-knownnat 0.7.9

=== debian/changelog ===
haskell-ghc-typelits-knownnat (0.7.9-1build2) noble; urgency=medium

  * Rebuild against 'new GHC ABI'.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 18 Dec 2023 08:10:18 +0100

haskell-ghc-typelits-knownnat (0.7.9-1build1) noble; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 08 Nov 2023 08:47:06 +0100

haskell-ghc-typelits-knownnat (0.7.9-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Sat, 21 Oct 2023 10:10:25 -0400

haskell-ghc-typelits-knownnat (0.7.8-1) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Add package path in Vcs-Git header.

  [ Ilias Tsitsimpis ]
  * Declare compliance with Debian policy 4.6.2

  [ Clint Adams ]
  * New upstream release

 -- Clint Adams <clint@debian.org>  Tue, 05 Sep 2023 15:46:37 -0400
