=== debian/control ===
--- 
+++ 
@@ -22,10 +22,10 @@
 Build-Depends-Indep: ghc-doc,
  libghc-ghc-tcplugins-extra-doc,
  libghc-ghc-typelits-natnormalise-doc,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://clash-lang.org/
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-ghc-typelits-knownnat
-Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git
+Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-ghc-typelits-knownnat]
 X-Description: Derive KnownNat constraints from other KnownNat constraints
  A type checker plugin for GHC that can derive "complex" KnownNat
  constraints from other simple/variable KnownNat constraints. i.e. without
