## haskell-ghc-typelits-knownnat 0.7.12

=== debian/changelog ===
haskell-ghc-typelits-knownnat (0.7.12-1build2) plucky; urgency=medium

  * Rebuild against new GHC ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 19 Feb 2025 07:54:56 +0100

haskell-ghc-typelits-knownnat (0.7.12-1build1) plucky; urgency=medium

  * No-change rebuild for GHC ABI changes.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Nov 2024 20:50:57 +0100

haskell-ghc-typelits-knownnat (0.7.12-1) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Declare compliance with Debian policy 4.7.0

  [ Clint Adams ]
  * New upstream release

 -- Clint Adams <clint@debian.org>  Sat, 21 Sep 2024 23:04:50 -0400
