## haskell-ghc-typelits-knownnat 0.7.13

=== debian/changelog ===
haskell-ghc-typelits-knownnat (0.7.13-1) unstable; urgency=medium

  * Build using dh-haskell
  * New upstream release

 -- Scott Talbert <swt@techie.net>  Mon, 12 Jan 2026 18:49:49 -0500
